> For the complete documentation index, see [llms.txt](https://docs.groclake.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.groclake.ai/lakes/index-stores/cataloglake/creating-mapper.md).

# Creating Mapper

The `create_mapper` method is used to create a new metadata mapper in CatalogLake. This mapper is responsible for defining and managing metadata keys and their relationships.

**Payload Example**

```python
create_mapper_payload = {
    "mapper_name": "mapper_name",
    "customer_id": "121287096096",
    "language": "en-us",
    "metadata_keys": [
        "address of manufacturer",
        "fssai number",
        "marketing_fssai_num",
        "fabric_colour"
    ]
}
```

Usage example

```python
create_mapper_result = cataloglake.create_mapper(create_mapper_payload)
print(create_mapper_result)
```

Example Response

```json
{
  "request_id": "46e7a4d1-d733-4f03-acf6-1d3391164265",
  "customer_id": "121287096096",
  "metadata_mapper_id": "287b05a6-ff14-4b5f-a81d-f247b5bffcdd",
  "metadata_keymap": [
    {
      "address of manufacturer": "manufacturer_address",
      "fssai number": "fssai_number",
      "marketing_fssai_num": "marketing_fssai_number",
      "fabric_colour": "colour"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groclake.ai/lakes/index-stores/cataloglake/creating-mapper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
